petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetInequalityBounds

Sets the upper and lower bounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInequalityBounds(Tao tao, Vec IL, Vec IU)

Logically collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| IL | - vector of lower bounds Many br
| IU | - vector of upper bounds Many br

Many br

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

Level:beginner
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/maros.c.html